Subject: [icnrg] FW: New Version Notification for draft-seedorf-icn-wot-selfcertifying-00.txt

From: Jan Seedorf <[email-masked]>
Date: Fri, 27 Jun 2014 08:31:42 +0000

Dear all,

I have just submitted a draft that outlines the necessary standards work for enabling the binding of self-certifying ICN names with real-word identities through a Web-of-Trust (e.g. PGP). On such approach is our NOM workshop paper*. This draft, however, is more general and only talks about the standards consideration any such approach would need to work in an interoperable way in practice.

Any comments are welcome, I would also be happy to briefly present the standardization considerations at IETF-90 during the ICNRG session.

 - Jan

*Jan Seedorf, Dirk Kutscher, Fabian Schneider, Decentralised Binding of Self-Certifying Names to Real-World Identities for Assessment of Third-Party Messages in Fragmented Mobile Networks, The 2nd Workshop on Name Oriented Mobility (NOM 2014) in conjunction with the IEEE INFOCOM 2014, Toronto, Canada, April 28 2014

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] 
Sent: Friday, June 27, 2014 10:23 AM
To: Jan Seedorf; Jan Seedorf
Subject: New Version Notification for draft-seedorf-icn-wot-selfcertifying-00.txt

A new version of I-D, draft-seedorf-icn-wot-selfcertifying-00.txt
has been successfully submitted by Jan Seedorf and posted to the
IETF repository.

Name:		draft-seedorf-icn-wot-selfcertifying
Revision:	00
Title:		Binding Self-certifying Names to Real-World Identities with a Web-of- Trust
Document date:	2014-06-25
Group:		Individual Submission
Pages:		6
URL:            http://www.ietf.org/internet-drafts/draft-seedorf-icn-wot-selfcertifying-00.txt
Status:         https://datatracker.ietf.org/doc/draft-seedorf-icn-wot-selfcertifying/
Htmlized:       http://tools.ietf.org/html/draft-seedorf-icn-wot-selfcertifying-00

Abstract:
   Self-certifying names are one way of binding a given public key to a
   certain name in Information Centric Networking.  However, an
   additional binding of a self-certifying name to a Real-World identity
   is needed in most cases, so that a recipient of some information
   cannot only verify that the publisher was in possession of the
   correct corressponding private key for the requested name, but that
   in addition the name itself is the intended one.  This draft
   specifies how such a binding of Real-World identities with self-
   certifying ICN names can be done, taking existing IETF specifications
   into account.

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

The IETF Secretariat